pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZRGB &p) const
void | get (const pcl::PointXYZRGB &p, float &intensity) const
void | set (pcl::PointXYZRGB &p, float intensity) const
void | demean (pcl::PointXYZRGB &p, float value) const
void | add (pcl::PointXYZRGB &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >

Definition at line 118 of file intensity.hpp.

## Member Function Documentation

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::add | ( | pcl::PointXYZRGB & | p,
|  | float | value
| ) |  | const

inline

Definition at line 149 of file intensity.hpp.

References pcl::common::IntensityFieldAccessor< PointT >::operator()().

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::demean | ( | pcl::PointXYZRGB & | p,
|  | float | value
| ) |  | const

inline

Definition at line 141 of file intensity.hpp.

References pcl::common::IntensityFieldAccessor< PointT >::operator()().

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::get | ( | const pcl::PointXYZRGB & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 127 of file intensity.hpp.

float pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::operator() | ( | const pcl::PointXYZRGB & | p | ) | const

inline

Definition at line 121 of file intensity.hpp.

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::set | ( | pcl::PointXYZRGB & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 133 of file intensity.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/intensity.hpp